<?php
/**
 * Proforma Articles list
 *
 * Copyright 2004-2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <duck@obala.net>
 * @package Proforma
 */
@define('PROFORMA_BASE', dirname(__FILE__));
require_once PROFORMA_BASE . '/lib/base.php';

$title = _("Clients");

require_once 'Horde/Variables.php';
require_once 'Horde/UI/Tabs.php';

$vars = &Variables::getDefaultVariables();
$apps = Proforma::externalApps();
$listurl = Horde::applicationUrl('articles.php');
$tabs = &new Horde_UI_Tabs('api', $vars);
foreach ($apps as $api => $name) {
    $tabs->addTab($name, $listurl, $api);
}
$api = Util::getFormData('api', $api);

Horde::addScriptFile('stripe.js', 'horde', true);
require PROFORMA_TEMPLATES . '/common-header.inc';
require PROFORMA_TEMPLATES . '/menu.inc';

echo $tabs->render($api);

$items = Proforma::externalItems($api);
if (is_a($items, 'PEAR_Error') || sizeof($items) < 1) {
    echo '<div class="notice">' . _("No items") . '</div>';
} else {
    $items = $items[0];
    echo '<div class="header">' . $items['category'] . '</div>';
    $items = $items['objects'];
    require PROFORMA_TEMPLATES . '/articles/header.inc';
    foreach ($items as $item) {
        require PROFORMA_TEMPLATES . '/articles/row.inc';
    }
    require PROFORMA_TEMPLATES . '/articles/footer.inc';
}

require $registry->get('templates', 'horde') . '/common-footer.inc';
