<?php
/**
 * Proforma Invoices list
 *
 * Copyright 2004-2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <duck@obala.net>
 * @package Proforma
 */

@define('PROFORMA_BASE', dirname(__FILE__));
require_once PROFORMA_BASE . '/lib/base.php';
require_once PROFORMA_BASE . '/config/currencies.php';

$title = _("List");
$list = array( 
        array('id' => '000056',
              'company' => 'Modri Val',
              'total' => 20202.20,
              'date' => '2006-03-05',
              'expire' => '2006-03-30')
);

Horde::addScriptFile('stripe.js', 'horde', true);
require PROFORMA_TEMPLATES . '/common-header.inc';
require PROFORMA_TEMPLATES . '/menu.inc';

require PROFORMA_TEMPLATES . '/list/header.inc';
foreach ($list as $item) {
    require PROFORMA_TEMPLATES . '/list/row.inc';
}
require PROFORMA_TEMPLATES . '/list/footer.inc';

require_once 'Horde/Form.php';
require_once 'Horde/Form/Renderer.php';
require_once 'Horde/Variables.php';
$vars = &Variables::getDefaultVariables();
$form = new Horde_Form($vars, _("Filter"), 'Proforma_Search_Invocies'); 

$form->addVariable(_("Invoice ID"), 'item', 'text', false);
$form->addVariable(_("Client"), 'client', 'enum', false, false, false, array('enum'=> Proforma::listClients('tiny'), 'prompt' => true));
$form->addVariable(_("Item ID"), 'item', 'text', false);
$form->addVariable(_("Date from"), 'datefrom', 'monthdayyear', false);
$form->addVariable(_("Date to"), 'dateto', 'monthdayyear', false);
$form->addVariable(_("Expire from"), 'expirefrom', 'monthdayyear', false);
$form->addVariable(_("Expire to"), 'expireto', 'monthdayyear', false);
$form->addVariable(_("Type"), 'type', 'enum', false, false, false, array('enum' => Proforma::invoiceTypes(), 'prompt' => true));

$form->renderActive(new Horde_Form_Renderer(), $vars, 'list.php', 'post'); 

require $registry->get('templates', 'horde') . '/common-footer.inc';
